org.apache.cassandra.db.compaction

## Class SSTableSplitter.StatsCollector

- java.lang.Object
- - org.apache.cassandra.db.compaction.SSTableSplitter.StatsCollector

- All Implemented Interfaces:
    CompactionManager.CompactionExecutorStatsCollector
  Enclosing class:
    SSTableSplitter

      public class SSTableSplitter.StatsCollector
      extends java.lang.Object
      implements CompactionManager.CompactionExecutorStatsCollector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginCompaction(CompactionInfo.Holder ci)`
    `void` | `finishCompaction(CompactionInfo.Holder ci)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsCollector

          public StatsCollector()

  - ### Method Detail

    - #### beginCompaction

          public void beginCompaction(CompactionInfo.Holder ci)

      Specified by:
        `beginCompaction` in interface `CompactionManager.CompactionExecutorStatsCollector`

    - #### finishCompaction

          public void finishCompaction(CompactionInfo.Holder ci)

      Specified by:
        `finishCompaction` in interface `CompactionManager.CompactionExecutorStatsCollector`

Copyright © 2018 The Apache Software Foundation